Subject: Re: Freely Distributable Implementation of SLPv2 Available

From: James Kempf <[email-masked]>
Date: Mon, 29 Nov 1999 14:41:01 -0800 (PST)

Terry,

Thanx for noting the discrepency between the licenses in the web page and the 
zip file. I will change the zip file license.

Regarding the difference between Section 1 and 4, I believe what the
license is saying is that you can't simply take the distribution off
the web site, write it to a CD, and sell it. You need to make some kind of 
modification.

		jak

>Date: Mon, 29 Nov 1999 14:18:16 -0800
>From: Terry Lambert <[email-masked]>
>MIME-Version: 1.0
>To: James Kempf <[email-masked]>
>CC: [email-masked], [email-masked], [email-masked]
>Subject: Re: Freely Distributable Implementation of SLPv2 Available
>Content-Transfer-Encoding: 7bit
>
>James Kempf wrote:
>> 
>> A freely distributable, C language implementation of
>> SLPv2 for Solaris, Win95, and Linux is available. The
>> code can be downloaded through the following URL:
>> 
>>            http://www.sun.com/research/slp/
>
>[ ... ]
>
>> The license under which this implementation is being
>> distributed is new, and is part of Sun's program to
>> increase public distribution of Sun source code, in
>> line with the industry movement toward open source.
>
>
>The license you describe above is on the page you must
>agree to in order to obtain the code.
>
>The license.html in the mslp10.tar.gz contained in the
>file mslp10/doc/license.html is _NOT_ the same.
>
>Can you please correct the license in the distribution
>so that it matches the one you have to agree to to
>download the code?  I know this wasn't an intentional
>"bait and switch", but it would be nice if the licenses
>actually matched.
>
>Also, the license you have to go through contradicts
>itself in both allowing, in section 1, the distribution
>of unmodified binaries derived from the source code,
>and in a later section (4?) disallowing the same thing.
>
>Thanks,
>
>-- Terry Lambert
>-- Whistle Communications, Inc., an I.B.M. Company
>-- [email-masked]
>-------------------------------------------------------------------
>This is formal notice under California Assembly Bill 1629, enacted
>9/26/98 that any UCE sent to my email address will be billed $50
>per incident to the legally allowed maximum of $25,000.